%define dbus_version    	1.0
%define dbus_glib_version	0.71
%define gtk2_version            2.13.6
%define gnome_vfs2_version      2.4
%define libsexy_version         0.1.11
%define gnome_doc_utils_version 0.3.2
%define polkit_version          0.95
%define intltool_version        0.35

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	PolicyKit integration for the GNOME desktop
Name: 		polkit-gnome
Version: 	0.95
Release: 	1
BuildArch:	i686
License: 	GPLv2+ and LGPLv2+
Group: 		System/Libraries
URL: 		http://svn.gnome.org/viewvc/policykit-gnome/trunk
Source0: 	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
BuildRequires: 	dbus-devel  >= %{dbus_version}
BuildRequires: 	dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: 	dbus-glib >= %{dbus_glib_version}
BuildRequires: 	gtk2+-devel >= %{gtk2_version}
BuildRequires: 	polkit-devel >= %{polkit_version}
BuildRequires: 	gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: 	intltool >= %{intltool_version}
BuildRequires: 	gettext
BuildRequires: 	desktop-file-utils
BuildRequires: 	GConf-devel docbook-style-xsl docbook-dtds
BuildRequires: gobject-introspection-devel
BuildRequires: gir-repository-devel desktop-file-utils gtk-doc eggdbus-devel
Requires: 	dbus >= %{dbus_version}
Requires: 	dbus-glib >= %{dbus_glib_version}
Requires: 	gtk2+ >= %{gtk2_version}
Requires: 	polkit >= %{polkit_version}
Requires(post): GConf >= 2.14
Requires(preun): GConf >= 2.14
# This can be used by apps which want to use the PolicyKit
# frontend implementation of the desktop they are running under
Provides: PolicyKit-authentication-agent
Provides:	PolicyKit-gnome = %{version}-%{release}
Obsoletes:	PolicyKit-gnome <= %{version}-%{release}

%description
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.

%package devel
License: 	LGPLv2+
Summary: 	Headers, libraries and API docs for PolicyKit-gnome
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	polkit-devel >= %{polkit_version}
Provides:	PolicyKit-gnome-devel = %{version}-%{release}
Obsoletes:	PolicyKit-gnome-devel <= %{version}-%{release}


%description devel
This package provides headers, libraries and API docs for
PolicyKit-gnome.

%prep
%setup -q

%build
%configure --disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

desktop-file-install --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart                      \
  --remove-only-show-in GNOME \
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop

%find_lang polkit-gnome-1

%clean
rm -rf $RPM_BUILD_ROOT

%files -f polkit-gnome-1.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_sysconfdir}/xdg/autostart/*
%{_libexecdir}/*
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/gir-1.0/*.gir
#%{_datadir}/gtk-doc/html/*

%changelog
* Thu Apr 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.2-2
- rebuilt against doc-book-style-xsl 1.74.2 / gtk-doc 1.11-2 combo
* Tue Mar 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.9.2-1
- Initial CCux package release
